#!/bin/bash
# Test suite for Python examples.
#
# Copyright (C) 2004  Alan W. Irwin
# Copyright (C) 2004  Rafael Laboissiere
#
# This file is part of PLplot.
#
# PLplot is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Library Public License as published
# by the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# PLplot is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with PLplot; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# This is called from plplot-test.sh with $pythondir, $device,
# $dsuffix, and $options defined.
# $pythondir must be the build tree and not the source tree (if separate from
# build tree) since must access plplot_python_start.py in build tree and
# paths in that file are relative to build tree.
# Skip 14 and 17 because they are interactive.
# Skip 19 because it is just a placeholder without a real implementation.
# Skip 20 because it is not (yet) implemented.
# Skip 21 if using Numeric - it doesn't work
# For 24 you need special fonts installed to get good result.
for index in 01 02 03 04 05 06 07 08 09 10 11 12 13 15 16 18 \
20 22 23 24 25 26 28 21 ; do
  /usr/bin/python2.5 $pythondir/x$index -dev $device -o ${OUTPUT_DIR}/x${index}p.$dsuffix $options 2> test.error
  status_code=$?
  cat test.error
  if [ "$status_code" -ne 0 ]; then
    exit $status_code
  fi
  # Look for any PLPLOT ERROR messages from plwarn that do not result in an
  # exit code.
  is_error=`grep -l 'PLPLOT ERROR' test.error`
  if test -n "$is_error"; then
    exit 1
  fi

done
